<script lang="ts">
    import { page } from '$app/stores';
    import PartForm from '$lib/components/dashboard/goods/parts/partForm.svelte';

    let id = $derived($page.params.id === 'new' ? null : Number($page.params.id));
    let type: 'inv' | 'fa' = 'fa'; 
</script>

<PartForm partId={id} formType={type} />